Subject: RE: [Simple] message/cpim in chunked MSRP SEND requests

From: Miguel Garcia <[email-masked]>
Date: Thu, 12 Oct 2006 20:33:06 +0300 (EEST)

Ben,
what you said makes sense. I just feel that the absence of examples combined with the strange Content-Type header in the second chunk is a recipe for lack of interoperability.
/Miguel

** My mobile email is powered by the Nokia Business Center **

> -----Original Message-----
> From: ext Ben Campbell
> Received: Thu Oct 12 18:33:32 EEST 2006
> To: Paul Kyzivat
> Cc: Miguel Garcia, [email-masked]', Rohan Mahy, Cullen Jennings, Gonzalo Camarillo, Isomaki Markus (Nokia-TP/Espoo)
> Subject: Re: [Simple] message/cpim in chunked MSRP SEND requests
> 
> Option 3 is the intent. You have one message/cpim document split into  
> parts.
> 
> I don't think that message/cpim is special here--it would be treated  
> the same as any other content-type for the purposes of chunking. I  
> _thought_ we had language indicating that you do your MIME formating  
> prior to splitting into chunks--I will verify. (I know we have  
> language to that effect for s/mime processing.)
> 
> 
> On Oct 12, 2006, at 9:34 AM, Paul Kyzivat wrote:
> 
> > Miguel,
> >
> > You seem to have a valid concern here. Of the options you present,  
> > I think option 3 is the most appropriate.
> >
> > It might be better if subsequent chunks didn't have a content-type  
> > header at all.
> >
> > 	Paul
> >
> > Miguel Garcia wrote:
> >> Hi:
> >> On drafting examples for the file transfer draft, we (the authors  
> >> of the file transfer draft) found some lack of clarifications in  
> >> the MSRP draft regarding handling of chunks that contain message/ 
> >> cpim messages. Hopefully the authors of the MSRP draft can clarify  
> >> this and update the draft before it is published as an RFC, if we  
> >> want to achieve interoperability.
> >> So, here is the story: Assume you have a content that must be  
> >> chunked. According to the example in Section 5.1, every chunk will  
> >> contain a Content-Type header.
> >>     MSRP dkei38sd SEND
> >>     Message-ID: 456
> >>     Byte-Range: 1-4/8
> >>     Content-Type: text/plain
> >>     abcd
> >>     -------dkei38sd+
> >>     MSRP dkei38ia SEND
> >>     Message-ID: 456
> >>     Byte-Range: 5-8/8
> >>     Content-Type: text/plain
> >>     EFGH
> >>     -------dkei38ia$
> >> I think the example should show a message/cpim wrapper, since it  
> >> is quasi-MUST for MSRP. So, if I am sending the same above content  
> >> in message/cpim, I don't know if a have to put a message/cpim  
> >> wrapper in the second chunk or not.
> >> So, the first chunk is something like this:
> >>     MSRP dkei38sd SEND
> >>     Message-ID: 456
> >>     Byte-Range: 1-124/248
> >>     Content-Type: message/cpim
> >>     To: Bob <sip:[email-masked]>
> >>     From: Alice <sip:[email-masked]>
> >>     DateTime: 2006-05-15T15:02:31-03:00
> >>     Content-Type text/plain
> >>     abcd
> >>     -------dkei38sd+
> >> Now, I can think of 3 options for the second chunk. Here is option  
> >> 1 for the second chunk: it repeats the message/cpim header.
> >>     MSRP dkei38ia SEND
> >>     Message-ID: 456
> >>     Byte-Range: 125-248/248
> >>     Content-Type: text/plain
> >>     To: Bob <sip:[email-masked]>
> >>     From: Alice <sip:[email-masked]>
> >>     DateTime: 2006-05-15T15:02:31-03:00
> >>     Content-Type text/plain
> >>     EFGH
> >>     -------dkei38ia$
> >> And here is option 2 for the second chunk. There is no cpim  
> >> wrapper. The content-type header is text/plain, which is the  
> >> content below.
> >>     MSRP dkei38sd SEND
> >>     Message-ID: 456
> >>     Byte-Range: 125-129/129
> >>     Content-Type: text/plain
> >>     EFGH
> >>     -------dkei38ia$
> >> Still a third option: it considers the message/cpim a whole chunk,  
> >> so from the MSRP point view, there is only a nessage/cpim content,  
> >> which is split, so the second chunk still has a Content-Type of  
> >> message/cpim, in spite it is nothing of cpim in the body.
> >>     MSRP dkei38sd SEND
> >>     Message-ID: 456
> >>     Byte-Range: 125-129/129
> >>     Content-Type: message/cpim
> >>     EFGH
> >>     -------dkei38ia$
> >> Please notice the difference in the cpim headers, and the Byte- 
> >> Range and Content-Type headers.
> >> 1) Which one is correct? The draft says nothing
> >> Option 2 would look more reasonable to me, however, it is kind of  
> >> asymmetrical. I think it ought to be the 3rd option, but it is a  
> >> big odd to have the Content-Type: message/cpim with a plain/text  
> >> in there.
> >> So, I think MSRP has to clarify this point and provide examples of  
> >> chunked messages containing cpim wrappers.
> >> Any immediate thought?
> >> 2) Section 7.1 in MSRP says:
> >>    "If the request has a body, it MUST contain a Content-Type  
> >> header field.  "
> >> But I think it does not say anything with respect any of the  
> >> chunks. I assume that according to the examples and the above  
> >> general statement about SEND requests, every chunk has to contain  
> >> a Content-Type header.
> >> /Miguel
> 
> 
> 
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple